Bug 245873 - www/py-graphite-web: Update to 1.1.7
Summary: www/py-graphite-web: Update to 1.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/graphite-project/g...
Keywords:
Depends on: 245859
Blocks: 245309 245843
  Show dependency treegraph
 
Reported: 2020-04-24 12:41 UTC by Kai Knoblich
Modified: 2020-06-11 09:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
py-graphite-web-1.1.7.patch (221 bytes, patch)
2020-04-24 12:41 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff
py-graphite-web-1.1.7-v2.patch (47.86 KB, patch)
2020-06-10 19:04 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-24 12:41:27 UTC
Created attachment 213747 [details]
py-graphite-web-1.1.7.patch

Hi,

attached is the patch that updates www/py-graphite-web to 1.1.7 and assigns it to Django 2.2 because Django 1.11 is End-of-Life since April 2020.

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Un-bashify the script build-index.sh and remove USES=shebangfix and relevant variables
- Remove superfluous '+=' from SUB_LIST and PLIST_SUB
- Sort variables a bit according to the PHB (and to pet portlint/portclippy)
- Make package architecture neutral as no architecture dependent files are packaged

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK (except the info that patch-webapp__graphite__local_settings.py.example should be rebased)
-  Configuring/Starting the dashboard as described via pkg-message -> OK
Comment 1 Kai Knoblich freebsd_committer 2020-06-09 11:24:29 UTC
Comment on attachment 213747 [details]
py-graphite-web-1.1.7.patch

^ Triage: Setting maintainer-approval to '+' due maintainer's timeout.
Comment 2 Kai Knoblich freebsd_committer 2020-06-10 19:04:24 UTC
Created attachment 215427 [details]
py-graphite-web-1.1.7-v2.patch

^ Triage: Attach correct (and slighty updated) patch for the sake of completeness.
Comment 3 commit-hook freebsd_committer 2020-06-11 08:59:58 UTC
A commit references this bug:

Author: kai
Date: Thu Jun 11 08:59:09 UTC 2020
New revision: 538461
URL: https://svnweb.freebsd.org/changeset/ports/538461

Log:
  www/py-graphite-web: Update to 1.1.7

  * Also switch the port to Django 2.2 (current LTS release) because
    Django 1.11 is End-of-Life since April, which also drops the support for
    Python 2.7.

  * Do the same for www/py-django-tagging and bump PORTREVISION due changed
    dependencies. [1]

  * Relax the version requirements in setup.py to pave the way for the 0.5.0
    update of www/py-django-tagging. [1]

  * Remove superfluous '+=' from SUB_LIST and PLIST_SUB and sort variables a
    bit according to the PHB.

  * Add NO_ARCH as there are no architecture relevant files in the package.

  Changelogs since 1.1.5:

  https://github.com/graphite-project/graphite-web/releases/tag/1.1.7
  https://github.com/graphite-project/graphite-web/releases/tag/1.1.6

  PR:		245873 245843 [1]
  Approved by:	maintainer timeout (6+ weeks), Kevin Golding (maintainer) [1]

Changes:
  head/www/py-django-tagging/Makefile
  head/www/py-graphite-web/Makefile
  head/www/py-graphite-web/distinfo
  head/www/py-graphite-web/files/patch-setup.py
  head/www/py-graphite-web/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2020-06-11 09:05:20 UTC
Committed with a small change to the original patch: 

I decided to add 'shells/bash' as a dependency instead of removing "Bashisms" in the build-index.sh script to make future updates of the port easier.